Index: lib/rtp/configure.in
===================================================================
RCS file: /vws/pan/mpeg4ip/lib/rtp/configure.in,v
retrieving revision 1.2
diff -c -w -r1.2 configure.in
*** lib/rtp/configure.in	2001/09/10 20:59:33	1.2
--- lib/rtp/configure.in	2001/09/28 21:08:19
***************
*** 97,114 ****
  # declared anywhere, use egrep header to check (ugh lame, but works)
  
  AC_CACHE_CHECK(for inet_pton in <arpa/inet.h>, ucl_cv_inet_pton_in_inet_h,
! 	AC_CHECK_FUNC(inet_pton,
  		      ucl_cv_inet_pton_in_inet_h=yes,
! 		      ucl_cv_inet_pton_in_inet_h=no))
  if test $ucl_cv_inet_pton_in_inet_h = "no"
  then
  	AC_DEFINE(NEED_INET_PTON)
  	LIBOBJS="$LIBOBJS inet_pton.o"
  fi
  AC_CACHE_CHECK(for inet_ntop in <arpa/inet.h>, ucl_cv_inet_ntop_in_inet_h,
! 	AC_CHECK_FUNC(inet_ntop,
  			ucl_cv_inet_ntop_in_inet_h=yes,
! 			ucl_cv_inet_ntop_in_inet_h=no))
  if test $ucl_cv_inet_ntop_in_inet_h = "no"
  then
  	AC_DEFINE(NEED_INET_NTOP)
--- 97,114 ----
  # declared anywhere, use egrep header to check (ugh lame, but works)
  
  AC_CACHE_CHECK(for inet_pton in <arpa/inet.h>, ucl_cv_inet_pton_in_inet_h,
! 	[AC_CHECK_FUNC(inet_pton,
  		      ucl_cv_inet_pton_in_inet_h=yes,
! 		      ucl_cv_inet_pton_in_inet_h=no)])
  if test $ucl_cv_inet_pton_in_inet_h = "no"
  then
  	AC_DEFINE(NEED_INET_PTON)
  	LIBOBJS="$LIBOBJS inet_pton.o"
  fi
  AC_CACHE_CHECK(for inet_ntop in <arpa/inet.h>, ucl_cv_inet_ntop_in_inet_h,
! 	[AC_CHECK_FUNC(inet_ntop,
  			ucl_cv_inet_ntop_in_inet_h=yes,
! 			ucl_cv_inet_ntop_in_inet_h=no)])
  if test $ucl_cv_inet_ntop_in_inet_h = "no"
  then
  	AC_DEFINE(NEED_INET_NTOP)
***************
*** 188,197 ****
  # not defined.  They are kept outside IPv6 enable check to keep code readable.
  
  AC_CACHE_CHECK(for getipnodebyname in <netdb.h>, ucl_cv_getipnodebyname_in_netdb_h,
! 	AC_EGREP_HEADER(getipnodebyname,
  		netdb.h,
  		ucl_cv_getipnodebyname_in_netdb_h=yes,	
! 		ucl_cv_getipnodebyname_in_netdb_h=no))
  if test $ucl_cv_getipnodebyname_in_netdb_h
  then
  	AC_DEFINE(HAVE_GETIPNODEBYNAME) 
--- 188,197 ----
  # not defined.  They are kept outside IPv6 enable check to keep code readable.
  
  AC_CACHE_CHECK(for getipnodebyname in <netdb.h>, ucl_cv_getipnodebyname_in_netdb_h,
! 	[AC_EGREP_HEADER(getipnodebyname,
  		netdb.h,
  		ucl_cv_getipnodebyname_in_netdb_h=yes,	
! 		ucl_cv_getipnodebyname_in_netdb_h=no)])
  if test $ucl_cv_getipnodebyname_in_netdb_h
  then
  	AC_DEFINE(HAVE_GETIPNODEBYNAME) 
***************
*** 200,209 ****
  AC_CHECK_HEADERS(netinet6/in6.h)
  
  AC_CACHE_CHECK(for struct addrinfo in <netdb.h>, ucl_cv_st_addrinfo_in_netdb_h,
! 	AC_EGREP_HEADER(addrinfo,
  		netdb.h,
  		ucl_cv_st_addrinfo_in_netdb_h=yes,	
! 		ucl_cv_st_addrinfo_in_netdb_h=no))
  if test $ucl_cv_st_addrinfo_in_netdb_h
  then
  	AC_DEFINE(HAVE_ST_ADDRINFO) 
--- 200,209 ----
  AC_CHECK_HEADERS(netinet6/in6.h)
  
  AC_CACHE_CHECK(for struct addrinfo in <netdb.h>, ucl_cv_st_addrinfo_in_netdb_h,
! 	[AC_EGREP_HEADER(addrinfo,
  		netdb.h,
  		ucl_cv_st_addrinfo_in_netdb_h=yes,	
! 		ucl_cv_st_addrinfo_in_netdb_h=no)])
  if test $ucl_cv_st_addrinfo_in_netdb_h
  then
  	AC_DEFINE(HAVE_ST_ADDRINFO) 
***************
*** 239,241 ****
--- 239,243 ----
  # Done, create the output files....
  AC_CONFIG_HEADER(uclconf.h:config.h.in)
  AC_OUTPUT(Makefile)
+ 
+ 
Index: server/lib/sndfile/configure.in
===================================================================
RCS file: /vws/pan/mpeg4ip/server/lib/sndfile/configure.in,v
retrieving revision 1.1.1.1
diff -c -w -r1.1.1.1 configure.in
*** server/lib/sndfile/configure.in	2001/01/09 00:16:51	1.1.1.1
--- server/lib/sndfile/configure.in	2001/09/28 21:08:24
***************
*** 58,94 ****
  	fi
  	
  if test $cross_compiling = yes ; then
! 	AC_MSG_WARN([******************************************************************])
! 	AC_MSG_WARN([*** We are cross-compiling, so have to assume sizeof (short) == 2 ])
! 	AC_MSG_WARN([*** and sizeof (int) == 4. If this is not the case there is no    ])
! 	AC_MSG_WARN([*** chance of this working. Please contact the mantainer.         ])
! 	AC_MSG_WARN([*** If the sizeof issues are not a problem you may need to        ])
! 	AC_MSG_WARN([*** undefine CAN_READ_WRITE_x86_IEEE in src/config.h.             ])
! 	AC_MSG_WARN([******************************************************************])
  	fi
  	
  if test $ac_cv_sizeof_int != 4 ; then
! 	AC_MSG_WARN([******************************************************************])
! 	AC_MSG_WARN([*** sizeof (int) != 4                                             ])
! 	AC_MSG_WARN([******************************************************************])
  	fi
  
  if test $ac_cv_sizeof_short != 2 ; then
! 	AC_MSG_WARN([******************************************************************])
! 	AC_MSG_WARN([*** sizeof (short) != 2.                                          ])
! 	AC_MSG_WARN([******************************************************************])
  	fi
  	
  if test $ac_cv_sizeof_float != 4 ; then
! 	AC_MSG_WARN([******************************************************************])
! 	AC_MSG_WARN([*** sizeof (float) != 4.                                          ])
! 	AC_MSG_WARN([******************************************************************])
  	fi
  	
  if test $ac_cv_sizeof_double != 8 ; then
! 	AC_MSG_WARN([******************************************************************])
! 	AC_MSG_WARN([*** sizeof (double) != 8.                                         ])
! 	AC_MSG_WARN([******************************************************************])
  	fi
  	
  case "$target_cpu" in
--- 58,94 ----
  	fi
  	
  if test $cross_compiling = yes ; then
! 	AC_MSG_WARN([[******************************************************************]])
! 	AC_MSG_WARN([[*** We are cross-compiling, so have to assume sizeof (short) == 2 ]])
! 	AC_MSG_WARN([[*** and sizeof (int) == 4. If this is not the case there is no    ]])
! 	AC_MSG_WARN([[*** chance of this working. Please contact the mantainer.         ]])
! 	AC_MSG_WARN([[*** If the sizeof issues are not a problem you may need to        ]])
! 	AC_MSG_WARN([[*** undefine CAN_READ_WRITE_x86_IEEE in src/config.h.             ]])
! 	AC_MSG_WARN([[******************************************************************]])
  	fi
  	
  if test $ac_cv_sizeof_int != 4 ; then
! 	AC_MSG_WARN([[******************************************************************]])
! 	AC_MSG_WARN([[*** sizeof (int) != 4                                             ]])
! 	AC_MSG_WARN([[******************************************************************]])
  	fi
  
  if test $ac_cv_sizeof_short != 2 ; then
! 	AC_MSG_WARN([[******************************************************************]])
! 	AC_MSG_WARN([[*** sizeof (short) != 2.                                          ]])
! 	AC_MSG_WARN([[******************************************************************]])
  	fi
  	
  if test $ac_cv_sizeof_float != 4 ; then
! 	AC_MSG_WARN([[******************************************************************]])
! 	AC_MSG_WARN([[*** sizeof (float) != 4.                                          ]])
! 	AC_MSG_WARN([[******************************************************************]])
  	fi
  	
  if test $ac_cv_sizeof_double != 8 ; then
! 	AC_MSG_WARN([[******************************************************************]])
! 	AC_MSG_WARN([[*** sizeof (double) != 8.                                         ]])
! 	AC_MSG_WARN([[******************************************************************]])
  	fi
  	
  case "$target_cpu" in
***************
*** 103,112 ****
  		;;
  
  	*)
! 		AC_MSG_WARN([*****************************************************************])
! 		AC_MSG_WARN([*** Not able to determine endian-ness of processor.              ])
! 		AC_MSG_WARN([*** You will need to edit src/config.h before compiling.         ])
! 		AC_MSG_WARN([*****************************************************************])
  		;;
  esac
  
--- 103,112 ----
  		;;
  
  	*)
! 		AC_MSG_WARN([[*****************************************************************]])
! 		AC_MSG_WARN([[*** Not able to determine endian-ness of processor.              ]])
! 		AC_MSG_WARN([[*** You will need to edit src/config.h before compiling.         ]])
! 		AC_MSG_WARN([[*****************************************************************]])
  		;;
  esac
  
***************
*** 120,129 ****
  		;;
  
  	*)
! 		AC_MSG_WARN([*****************************************************************])
! 		AC_MSG_WARN([*** Not able to determine endian-ness of processor.              ])
! 		AC_MSG_WARN([*** You will need to edit src/config.h before compiling.         ])
! 		AC_MSG_WARN([*****************************************************************])
  		;;
  esac
  
--- 120,129 ----
  		;;
  
  	*)
! 		AC_MSG_WARN([[*****************************************************************]])
! 		AC_MSG_WARN([[*** Not able to determine endian-ness of processor.              ]])
! 		AC_MSG_WARN([[*** You will need to edit src/config.h before compiling.         ]])
! 		AC_MSG_WARN([[*****************************************************************]])
  		;;
  esac
  
